#! /bin/sh

indexf=index.html
challenge="http://wims.unice.fr/wims/wims.cgi?module=adm/unice/challenge"

general="
whatis
license
install
howsecure
performance
design
compare
auth
future
bugs
"

technical="
structure
sysmask
masks
trigger
excepts
log
config
files
socket
howtoconfig
runtime
example
switch
risklevels
"

cat <<@ >$indexf
<html><body>
<center><h1>Linux sysmask</h1></center>

Sysmask is a powerful and flexible security enhancement package for Linux
systems, featuring interactive security reactions, protection against 
both system level and user level networking risks, capability of disarming
many kernel vulnerabilities, etc.
<a href=http://wims.unice.fr/sysmask/>Download</a>.
<p>
If you want to check the solidity of sysmask protection, check
<a href="$challenge">this page</a>
that resists to arbitrary code executions.
<p>
<h2>General help topics</h2>
<ol>
@

for f in $general; do
 tit=`grep . $f.txt | head -1`
 echo "<li><a href=$f.txt>$tit</a>" >>$indexf
done

cat <<@ >>$indexf
</ol>
<h2>Technical documentation</h2>
<ol>
@

for f in $technical; do
 tit=`grep . $f.txt | head -1`
 echo "<li><a href=$f.txt>$tit</a>" >>$indexf
done


cat <<@ >>$indexf
<li><a href=syscalls-byname.html>List of system calls by name</a>
<li><a href=syscalls-bynumber.html>List of system calls by number</a>
</ol>

</table></center>
</body></html>
@


